Connaitre tous les packets necessaire un autre

classic Classic list List threaded Threaded
10 messages Options
Reply | Threaded
Open this post in threaded view
|

Connaitre tous les packets necessaire un autre

KLessou
Voilà, j'aimerai savoir s'il existe une méthode simple et agréable afin de connaitre tous les packets necessaires à un autre sur un cas concret, comme le test de GNOME 2.14 (en ~x86) alors que je suis en x86.

Merci d'avance !

--
~~~~~
| klessou |
~~~~~
Reply | Threaded
Open this post in threaded view
|

Re: Connaitre tous les packets necessaire un autre

Yannick Loiseau

plusieurs solutions, selon ce que tu veux

pour connaitre les dépendances:
equery d
ou
qdepends

dans le cas d'un passage à instable:
ACCEPT_KEYWORDS=~x86 emerge -Dpv gnome


voila!

KLessou wrote:

> Voilà, j'aimerai savoir s'il existe une méthode simple et agréable afin
> de connaitre tous les packets necessaires à un autre sur un cas concret,
> comme le test de GNOME 2.14 (en ~x86) alors que je suis en x86.
>
> Merci d'avance !
>
> --
> ~~~~~
> | klessou |
> ~~~~~


--
[hidden email] mailing list

Reply | Threaded
Open this post in threaded view
|

Re: Connaitre tous les packets necessaire un autre

KLessou
Avec equery c'est vraiment très long (equery depends -a gnome).
qdepends est-il plus rapide ? Comment l'installer ?

Merci'

On 5/20/06, Yannick Loiseau <[hidden email]> wrote:

plusieurs solutions, selon ce que tu veux

pour connaitre les dépendances:
equery d
ou
qdepends

dans le cas d'un passage à instable:
ACCEPT_KEYWORDS=~x86 emerge -Dpv gnome

Oui, c'est ce que j'ai fait mais si on fait un emerge -u world après il voudra "Downgrader" tous les packets Gnome.

voila!

KLessou wrote:
> Voilà, j'aimerai savoir s'il existe une méthode simple et agréable afin
> de connaitre tous les packets necessaires à un autre sur un cas concret,
> comme le test de GNOME 2.14 (en ~x86) alors que je suis en x86.
>
> Merci d'avance !
>
> --
> ~~~~~
> | klessou |
> ~~~~~


--
[hidden email] mailing list




--
~~~~~
| klessou |
~~~~~
Reply | Threaded
Open this post in threaded view
|

Re: Connaitre tous les packets necessaire un autre

Erick Michau
qdepends appartient à "portage-utils"
oui, c'est vraiment plus rapide puisqu'il est ecrit en C

On 5/21/06, KLessou <[hidden email]> wrote:
Avec equery c'est vraiment très long (equery depends -a gnome).
qdepends est-il plus rapide ? Comment l'installer ?

Merci'

On 5/20/06, Yannick Loiseau <[hidden email]> wrote:

plusieurs solutions, selon ce que tu veux

pour connaitre les dépendances:
equery d
ou
qdepends

dans le cas d'un passage à instable:
ACCEPT_KEYWORDS=~x86 emerge -Dpv gnome

Oui, c'est ce que j'ai fait mais si on fait un emerge -u world après il voudra "Downgrader" tous les packets Gnome.

voila!

KLessou wrote:
> Voilà, j'aimerai savoir s'il existe une méthode simple et agréable afin
> de connaitre tous les packets necessaires à un autre sur un cas concret,
> comme le test de GNOME 2.14 (en ~x86) alors que je suis en x86.
>
> Merci d'avance !
>
> --
> ~~~~~
> | klessou |
> ~~~~~


--
[hidden email] mailing list




--
~~~~~
| klessou |
~~~~~

Reply | Threaded
Open this post in threaded view
|

Re: Connaitre tous les packets necessaire un autre

Bugzilla from bique.alexandre@gmail.com
In reply to this post by KLessou
> Oui, c'est ce que j'ai fait mais si on fait un emerge -u world après il
> voudra "Downgrader" tous les packets Gnome.

C'est complément normal, tu devras ajouter les ebuilds en question
dans /etc/portage/package.keywords

A défaut d'avoir correctement répondu a ta question, peut-être trouveras-tu
l'aide qui te conviens ici :
http://www.gentoo.org/doc/fr/index.xml?catid=gentoo

Bon courrage.

Alexandre

--
[hidden email] mailing list

Reply | Threaded
Open this post in threaded view
|

Re: Connaitre tous les packets necessaire un autre

KLessou


On 5/21/06, Alexandre Bique <[hidden email]> wrote:
> Oui, c'est ce que j'ai fait mais si on fait un emerge -u world après il
> voudra "Downgrader" tous les packets Gnome.

C'est complément normal, tu devras ajouter les ebuilds en question
dans /etc/portage/package.keywords

Oui c'est bien pour ça que je veux connaître toutes les dépendances de gnome.

A défaut d'avoir correctement répondu a ta question, peut-être trouveras-tu
l'aide qui te conviens ici :
http://www.gentoo.org/doc/fr/index.xml?catid=gentoo

Bon courrage.

Alexandre

--
[hidden email] mailing list




--
~~~~~
| klessou |
~~~~~
Reply | Threaded
Open this post in threaded view
|

Re: Connaitre tous les packets necessaire un autre

Boris Fersing-2
2006/5/21, KLessou <[hidden email]>:

>
>
>
> On 5/21/06, Alexandre Bique <[hidden email]> wrote:
> > > Oui, c'est ce que j'ai fait mais si on fait un emerge -u world après il
> > > voudra "Downgrader" tous les packets Gnome.
> >
> > C'est complément normal, tu devras ajouter les ebuilds en question
> > dans /etc/portage/package.keywords
>
>
> Oui c'est bien pour ça que je veux connaître toutes les dépendances de
> gnome.
>
Salut,

ce genre de script pourrait t'interesser :
https://forums.gentoo.org/viewtopic-p-2396487.html#2396487

Amicalement,

Boris.

> > A défaut d'avoir correctement répondu a ta question, peut-être
> trouveras-tu
> > l'aide qui te conviens ici :
> > http://www.gentoo.org/doc/fr/index.xml?catid=gentoo
> >
> > Bon courrage.
> >
> > Alexandre
> >
> > --
> > [hidden email] mailing list
> >
> >
>
>
>
>
> --
>  ~~~~~
> | klessou |
>  ~~~~~


--
Quiconque me parle de Dieu en veut à ma bourse ou à ma liberté.

--
[hidden email] mailing list

Reply | Threaded
Open this post in threaded view
|

Re: Connaitre tous les packets necessaire un autre

Bugzilla from bique.alexandre@gmail.com
In reply to this post by KLessou
> Oui c'est bien pour ça que je veux connaître toutes les dépendances de
> gnome.
>
> A défaut d'avoir correctement répondu a ta question, peut-être trouveras-tu

Si tu retrouves un vieux /usr/portage/profile/package.mask il y avait la liste
complète dedans des packages a avoir pour gnome 2.14.

Maintenant essayes ces liens
http://gentoo-wiki.com/HOWTO_Update_to_GNOME_unstable
http://gentoo-wiki.com/Index:GNOME

Après il peut-être plus hasardeux de mettre une centaine de packet en ~arch
que tout ton système en ~arch ;-)

--
[hidden email] mailing list

Reply | Threaded
Open this post in threaded view
|

Re: Connaitre tous les packets necessaire un autre

KLessou
^^ Ce script peut servir effectivement.

Je ne sais pas vraiment pourquoi mais "equery depends -d gnome-base/gnome-2.14.1", ne donne aucun résultats.

Et je n'ai pas de liste complète des packages pour gnome-2.14 dans
/usr/portage/profile/packages.mask ...
Je me demande ou c'est stocké ?!?!

On 5/21/06, Alexandre Bique <[hidden email]> wrote:
> Oui c'est bien pour ça que je veux connaître toutes les dépendances de
> gnome.
>
> A défaut d'avoir correctement répondu a ta question, peut-être trouveras-tu

Si tu retrouves un vieux /usr/portage/profile/package.mask il y avait la liste
complète dedans des packages a avoir pour gnome 2.14.

Maintenant essayes ces liens
http://gentoo-wiki.com/HOWTO_Update_to_GNOME_unstable
http://gentoo-wiki.com/Index:GNOME

Après il peut-être plus hasardeux de mettre une centaine de packet en ~arch
que tout ton système en ~arch ;-)

--
[hidden email] mailing list




--
~~~~~
| klessou |
~~~~~
Reply | Threaded
Open this post in threaded view
|

Re: Connaitre tous les packets necessaire un autre

KLessou
Bon j'ai donc réussi à faire ce que je voulais avec ce script, le seul problème dans cce filtre c'est que c'est pas toujours emerge[6] la ligne qui faut récupérer.

On 5/21/06, KLessou <[hidden email]> wrote:
^^ Ce script peut servir effectivement.

Je ne sais pas vraiment pourquoi mais "equery depends -d gnome-base/gnome-2.14.1", ne donne aucun résultats.

Et je n'ai pas de liste complète des packages pour gnome-2.14 dans
/usr/portage/profile/packages.mask ...
Je me demande ou c'est stocké ?!?!

On 5/21/06, Alexandre Bique <[hidden email]> wrote:
> Oui c'est bien pour ça que je veux connaître toutes les dépendances de
> gnome.
>
> A défaut d'avoir correctement répondu a ta question, peut-être trouveras-tu

Si tu retrouves un vieux /usr/portage/profile/package.mask il y avait la liste
complète dedans des packages a avoir pour gnome 2.14.

Maintenant essayes ces liens
<a href="http://gentoo-wiki.com/HOWTO_Update_to_GNOME_unstable" target="_blank" onclick="return top.js.OpenExtLink(window,event,this)">http://gentoo-wiki.com/HOWTO_Update_to_GNOME_unstable
<a href="http://gentoo-wiki.com/Index:GNOME" target="_blank" onclick="return top.js.OpenExtLink(window,event,this)">http://gentoo-wiki.com/Index:GNOME

Après il peut-être plus hasardeux de mettre une centaine de packet en ~arch
que tout ton système en ~arch ;-)

--
[hidden email] mailing list




--
~~~~~
| klessou |
~~~~~



--
~~~~~
| klessou |
~~~~~